Bug 238968 - Wrong context on /etc/cups/subscriptions.conf*
Summary: Wrong context on /etc/cups/subscriptions.conf*
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 08:55 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 12:52:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2007-05-04 08:55:52 UTC
Description of problem:
/etc/cups/subscriptions.conf* needs to get context cupsd_rw_etc_t.  Currently it
gets cupsd_etc_t.

When CUPS gets an IPP request to create a subscription, cupsd needs to write to
/etc/cups/subscriptions.conf to make it persistent across restarts.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-62.fc6

How reproducible:
100%

Steps to Reproduce:
/sbin/restorecon -v /etc/cups/subscriptions.conf*
ls -Z /etc/cups/subscriptions.conf*
  
Actual results:
[root@cyberelk ~]# /sbin/restorecon -vR /etc/cups
/sbin/restorecon reset /etc/cups/subscriptions.conf.O context
system_u:object_r:cupsd_rw_etc_t:s0->system_u:object_r:cupsd_etc_t:s0
/sbin/restorecon reset /etc/cups/subscriptions.conf context
system_u:object_r:cupsd_rw_etc_t:s0->system_u:object_r:cupsd_etc_t:s0
[root@cyberelk ~]# ls -Z /etc/cups/subscriptions.conf*
-rw-r-----  root lp system_u:object_r:cupsd_etc_t    /etc/cups/subscriptions.conf
-rw-r-----  root lp system_u:object_r:cupsd_etc_t    /etc/cups/subscriptions.conf.O

Comment 1 Daniel Walsh 2007-05-17 16:52:55 UTC
Fixed in selinux-policy-2.4.6-69

Comment 2 Tim Waugh 2007-05-18 08:41:27 UTC
Fix confirmed; thanks.


Note You need to log in before you can comment on or make changes to this bug.